upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Questions about Grub, UEFI,the liveCD and the installer
Forum rules
Before you post please read how to get help
User avatar
karlchen
Level 21
Level 21
Posts: 12831
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Hi, Bob.

As our post just crossed in terms of time and as I had amended my post, I will simply copy part, which I seem to have added, while you already had replied, into this post now:

Just noticed in your initial inxi report, posted yesterday:

Code: Select all

System:
  Host: Inspiron Kernel: 4.15.0-76-generic x86_64 bits: 64 
  Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 Tina 
Cinnamon 4.2.4 is not LM 19.3. So you seem to be on Mint 19.2 really, though by now several config files tell you were on LM 19.3.

Have you perhaps been affected by this reported bug, which seems to happen on Cinnamon systems only (if it happens at all):
upgrade 19.2 to 19.3 breaks on mintupdate #598
Symptom:
During upgrade from LM 19.2 Cinnamon to LM 19.3 Cinnamon, mintupdate first wants to upgrade itself to version 5.5.9. But once this has happened, mintupdate no longer starts up and as a consequence never completes the upgrade from LM 19.2. to LM 19.3

This might match your situation.

This would bring us to gm10's second approach of solving the issue from that thread mentioned in my previous post:
gm10 wrote:
Sun Jan 26, 2020 1:38 am
Alternative 2: Manually upgrade to LM 19.3:

Code: Select all

sudo sed -E -i 's/ (tara|tessa|tina) / tricia /' /etc/apt/sources.list.d/official-*.list
followed by:

Code: Select all

apt update
apt dist-upgrade
I guess gm10 forgot to mention: Once done, reboot, please.

Karl
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Hi Karl,

sudo sed -E -i 's/ (tara|tessa|tina) / tricia /' /etc/apt/sources.list.d/official-*.list
OK, no errors. Checked the file and it contains 'tricia'

Code: Select all

bobf@Inspiron ~ $ apt update:

  Hit:1 http://archive.ubuntu.com/ubuntu bionic InRelease
  Hit:2 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu bionic InRelease 
  Get:3 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]    
  Get:4 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]      
  Hit:5 http://archive.canonical.com/ubuntu bionic InRelease                     
  Hit:6 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease                
  Get:7 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
  Ign:8 http://packages.linuxmint.com tricia InRelease                           
  Hit:9 http://packages.linuxmint.com tricia Release 
  Fetched 252 kB in 1s (322 kB/s)                    
  Reading package lists... Done
  Building dependency tree       
  Reading state information... Done
  4 packages can be upgraded. Run 'apt list --upgradable' to see them.

Code: Select all

apt dist-upgrade:

  Reading package lists... Done
  Building dependency tree       
  Reading state information... Done
  Calculating upgrade... Done
  The following packages have been kept back:
   wine-stable winehq-stable
  0 to upgrade, 0 to newly install, 0 to remove and 2 not to upgrade.
And after a reboot:

mintupdate: 'gi.repository.XApp' object has no attribute 'StatusIcon'<class 'AttributeError'>


Hmmnn... Not very helpful so I tried the upgrade command from in the first output above:

Code: Select all

apt list --upgradable:

  Listing... Done
  wine-stable/bionic 5.0.0~bionic amd64 [upgradable from: 4.0.3~bionic]
  wine-stable-amd64/bionic 5.0.0~bionic amd64 [upgradable from: 4.0.3~bionic]
  wine-stable-i386/bionic 5.0.0~bionic i386 [upgradable from: 4.0.3~bionic]
  winehq-stable/bionic 5.0.0~bionic amd64 [upgradable from: 4.0.3~bionic]
Nothing to do with my problem :-(

Bob
gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by gm10 »

karlchen wrote:
Wed Feb 05, 2020 7:02 am
This is starting to become really troublesome and frustrating, because everything, which solved the issue for others, seems to fail on your system. :(
My solution would have worked if given right away, but he's since been given commands to manually change him over to the LM 19.3 repos, without full performing the upgrade through, so he's stuck in a hybrid state. Unfortunately I don't have time to read up on the full thread right now and advise, but you should be able to take it from here (either roll his repos back or upgrade everything) - only responding because I got notified due to you quoting me.
Tune up your LM 19+: ppa:gm10/linuxmint-tools
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Hi Karl,
As I mentioned before, I found this:

https://github.com/linuxmint/mintupdate/issues/590

So I tried:

Code: Select all

  sudo apt reinstall libxapp1
   sudo apt reinstall gir1.2-xapp-1.0
and rebooted.

Then ran 'mintupdate' from terminal, update manger started and reports: 'system is up to date' but terminal is reporting:

Code: Select all

   (mintUpdate.py:4206): Gdk-CRITICAL **: 12:17:04.255: gdk_window_thaw_toplevel_updates: 
    assertion 'window->update_and_descendants_freeze_count > 0' failed
I don't know if this is a problem, but the basic parts of Update Manager are working although I've not tried doing any updates!

Update Manager also starts OK from the Menu - Have I/we fixed everything?

Bob
Last edited by electron1948 on Wed Feb 05, 2020 8:31 am, edited 1 time in total.
User avatar
karlchen
Level 21
Level 21
Posts: 12831
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Hi, Bob.

The prolem seems to be that your system "thinks" it is already LM 19.3 tricia, but Cinnamon seems to be 4.2.4 from LM 19.2 still.
Is it really?
What does cinnamon --version tell?

I wonder a bit whether the situation may be sufficiently unclear in order to take the decision to start all over from scratch and do a clean installation?
You do not happen to have a Timeshift snapshot made before you clicked "Edit" => "Upgrade to LM 19.3" in Update Manager, which you could revert to?

Karl
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
User avatar
karlchen
Level 21
Level 21
Posts: 12831
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

gm10, I am aware by now that editing the files issue, issue.net, lsb-release and os-release may have made things worse. Could be reverted.

Bob, how about cinnamon --version?

Code: Select all

   (mintUpdate.py:4206): Gdk-CRITICAL **: 12:17:04.255: gdk_window_thaw_toplevel_updates: 
    assertion 'window->update_and_descendants_freeze_count > 0' failed
reads bad, but is harmless and may be ignored very likely.

About the question:
Have I/we fixed everything?
Not sure, might be my advice to edit the 4 files mentioned above in my reply to gm10 has made things worse.
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Hi Karl,

cinnamon --version reports: Cinnamon 4.2.4

I do have a Timeshift backup from the day before the 19.3 attempt. What is best now, restore from Timeshift or reverse the command:

sudo sed -E -i 's/ (tara|tessa|tina) / tricia /' /etc/apt/sources.list.d/official-*.list

Either way I think I'll need to do some further updating.

Bob
User avatar
karlchen
Level 21
Level 21
Posts: 12831
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Hi Bob.

Restoring the Timeshift snapshot should give a consistent state. The state now is inconsistent. Better restart with a consistent state.
Better restart from a consistent LM 19.2 Cinnamon state, than trying to figure out how much 19.2 is left in your 19.3.

Karl
--
P.S.: Must switch my machine here. Notebook keyboard broken. Typing half of the text using onscreen keyboard. This is a real p.i.t.a.
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

OK, going for Timeshift and then a full update to 19.3, I'll report back when running again.

Many thanks to you and gm10!

Bob
electron1948
Level 1
Level 1
Posts: 15
Joined: Fri Jan 05, 2018 12:39 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by electron1948 »

Good morning Karl,
I have my system happily running 19.3. It was a big job because after trying Timeshift restores I had to do a clean install and then a lot of updating and installing missing apps. The first Timeshift restore gave me the same problem: Update Manager would not start. From this I assume the problem really started several days earlier.

Many thanks for all your help, net time I'm in Germany I will buy you a beer!
Bob
User avatar
karlchen
Level 21
Level 21
Posts: 12831
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by karlchen »

Good morning, Bob.

Good to know that LM 19.3 is up and running at last. :) Too bad that restoring the Timeshift snapshot had preserved the well-known problem and that you had to do a complete re-installation as a consequence.

Best regards,
Karl
Image
Linux Mint 19.3 64-bit Cinnamon, Total Commander 9.51 64-bit
Haß gleicht einer Krankheit, dem Miserere, wo man vorne herausgibt, was eigentlich hinten wegsollte. (Goethe)
gm10
Level 20
Level 20
Posts: 10999
Joined: Thu Jun 21, 2018 5:11 pm

Re: upgrade to mint 19.3 --> mintupdate not starting xapp dependency ?

Post by gm10 »

We could have fixed this without a reinstall, but it's never wrong to start out clean. :)
Tune up your LM 19+: ppa:gm10/linuxmint-tools
Post Reply

Return to “Installation & Boot”